export type ExcerptOptions = {
    radius?: number;
    omission?: string;
};
export declare const after: (subject: string, search?: string) => string;
export declare const afterLast: (subject: string, search?: string) => string;
export declare const ascii: (value: string) => string;
export declare const before: (subject: string, search?: string) => string;
export declare const beforeLast: (subject: string, search?: string) => string;
export declare const between: (subject: string, from?: string, to?: string) => string;
export declare const betweenFirst: (subject: string, from?: string, to?: string) => string;
export declare const charAt: (subject: string, index: number) => string | false;
export declare const contains: (haystack: string, needles: string | Array<string>, ignoreCase?: boolean) => boolean;
export declare const containsAll: (haystack: string, needles: Array<string>, ignoreCase?: boolean) => boolean;
export declare const endsWith: (haystack: string, needles: null | string | number | Array<string>) => boolean;
export declare const excerpt: (text: string, phrase?: string, { radius, omission }?: ExcerptOptions) => string;
export declare const explode: (text: string, delimiter: string, limit?: number) => Array<string>;
export declare const finish: (value: string, cap: string) => string;
export declare const wrap: (value: string, before: string, after?: string) => string;
export declare const is: (pattern: string | Array<string | null>, value: string) => boolean;
export declare const isAscii: (value: string) => boolean;
export declare const isJson: (value: string) => boolean;
export declare const isUuid: (value: string) => boolean;
export declare const isUlid: (value: string) => boolean;
export declare const length: (value: string) => number;
export declare const limit: (value: string, limit?: number, end?: string) => string;
export declare const lower: (value: string) => string;
export declare const words: (value: string, words?: number, end?: string) => string;
export declare const mask: (string: string, character: string, index: number, length?: number | null) => string;
export declare const match: (pattern: RegExp | string, subject: string) => string;
export declare const isMatch: (pattern: RegExp | string | Array<string | RegExp>, value: string) => boolean;
export declare const matchAll: (pattern: RegExp | string, subject: string) => Array<string>;
export declare const padBoth: (value: string, length?: number, pad?: string) => string;
export declare const padLeft: (value: string, length?: number, pad?: string) => string;
export declare const padRight: (value: string, length?: number, pad?: string) => string;
export declare const parseCallback: (callback: string, method?: string | null) => Array<string | null>;
export declare const repeat: (string: string, times: number) => string;
export declare const replaceArray: (search: string, replace: Array<string>, subject: string) => string;
export declare const replace: (search: string | Array<string>, replace: string | Array<string>, subject: string) => string;
export declare const replaceFirst: (search: string, replace: string, subject: string) => string;
export declare const replaceLast: (search: string, replace: string, subject: string) => string;
export declare const remove: (search: string | Array<string>, subject: string, caseSensitive?: boolean) => string;
export declare const reverse: (value: string) => string;
export declare const start: (value: string, prefix: string) => string;
export declare const upper: (value: string) => string;
export declare const title: (value: string) => string;
export declare const headline: (value: string) => string;
export declare const slug: (title: string, separator?: string, language?: string | null, dictionary?: Record<string, string>) => string;
export declare const squish: (value: string) => string;
export declare const startsWith: (haystack: string, needles: null | string | number | Array<string>) => boolean;
export declare const stripTags: (string: string, allowedTags?: string) => string;
export declare const substr: (value: string, start: number, length?: number | null) => string;
export declare const substrCount: (haystack: string, needle: string, offset?: number, length?: number) => number;
export declare const substrReplace: (string: string, replace: string, offset?: number, length?: number | null) => string;
export declare const swap: (map: Record<string, string>, subject: string) => string;
export declare const trim: (value: string, characters?: string) => string;
export declare const rtrim: (value: string, characters?: string) => string;
export declare const ltrim: (value: string, characters?: string) => string;
export declare const lcfirst: (string: string) => string;
export declare const ucfirst: (string: string) => string;
export declare const ucsplit: (string: string) => Array<string>;
export declare const wordCount: (value: string) => number;
export declare const preg_quote: (value: string, delimiter?: string) => string;
